<?
# Comment the following line to close data entry
$open = "true";

# dbs sets which database system to use [msql,pgsql]
$dbs = "msql";

# sep indicates the separator to be used in output
$sep = ",";

# ext indicates what extension the output file should have
$ext = "csv";

$database="general";
$host=$GLOBALS["REMOTE_ADDR"];

# Comment out $room if you want each room to have a 
# different table
$room = "m301";

# Function Room uses a regular expression to parse which
# room you're in based on your IP address.  It only works
# in the three rooms we use for the intro labs.  

function Room($host) {
  if( ereg("(m30.)([nst].)",$host,$regs)) {
    $room = $regs[1];
  }
  else {
    $room = "m301";
  }
  return($room);
}

# TableName gets the name of the folder in which the scripts
# are located and sticks the room number in front of it.

function TableName($room) {
  global $SCRIPT_NAME;
  $table = dirname($SCRIPT_NAME);
  if(ereg("./instructor",$table)) {
    ereg("(.+$database/)(.+)(/instructor)",$table,$value);
  }
  else {
    ereg("(.+$database/)(.+)",$table,$value);
  }
  chop($value[2]);
  $table = $room . $value[2];
  return ($table);
}

# SubmitSQL takes an SQL query, submits it to the appropriate
# database  and returns a result number

function SubmitSQL($sql) {
  global $dbs, $database, $conn;
  switch ($dbs) {
    case "pgsql":
      $conn = pg_connect("dbname=$database port=5432");
      $result=pg_exec($conn, "$sql");
      $error = pg_errormessage($conn);
    break;
    case "msql":
      $result = msql($database, "$sql");
    break;
  }
  return($result);
}

# SQL_Error finds out what went wrong and returns the error

Function Sql_Error() {
  global $dbs, $conn;
  switch ($dbs) {
    case "pgsql":
      $error = pg_errormessage($conn);
    break;
    case "msql":
      $error = msql_error();
    break;
  }
  return($error);
}

if (!$room) {
  $room = Room($host);
}

$table= TableName($room);

##############

# $label is what will appear in the heading of the data
# entry and results tables.

$label="Paper Model";

# $variables is the array that contains all of the data
# for the database. For each field, set:
# show    => 'hide' or 'show' : show implies user modifiable
# label   => whatever you want in the heading for that field
# type    => the SQL data type: int, real, and char supported
# input   => 'text' or 'select' : the HTML input type
# options => the options for the select statement

$variables=array(
"cid" => array("show" => "hide", 
               "label" => "CID", 
               "type" => "char", 
               "length" => "20",
               "input" => "text",
               "options" => ""),
"stamp" => array("show" => "hide", 
                 "label" => "Time Stamp", 
                 "type" => "char", 
                 "length" => "20",
               "input" => "text",
               "options" => ""),
"host"  => array("show" => "hide",
               "label" => "Host",
               "type" => "char",
               "length" => "20",
               "input" => "text",
               "options" => ""),
"tim" => array("show" => "show",
                  "label" => "Time (minutes)",
                  "type" => "int",
                  "length" => "1",
               "input" => "select",
               "options" => ",1,2,3,4,5"),

"pop" => array("show" => "show",
                  "label" => "Marked Pieces of Paper",
                  "type" => "int",
                  "length" => "2",
               "input" => "select",
               "options" => ",1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30")


);



?>
